allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
const_reverse_iterator
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
get_ref
get_ref
insert
insert
insert
insert
insert
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
iterator_wrapper
iterator_wrapper
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator==
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
size
size_type
string_t
swap
swap
swap
swap
type
value
value
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

bool operator== | ( | std::nullptr_t | ,
|  | const_reference | v
| ) |  |

friend

comparison: equal The functions compares the given JSON value against a null pointer. As the null pointer can be used to initialize a JSON value to null, a comparison of JSON value v with a null pointer should be equivalent to call `v.is_null()`.

Parameters

  [in] | v | JSON value to consider

Returns
  whether v is null

Complexity
  Constant.

Example
  The example compares several JSON types to the null pointer.

#include <json.hpp>
using namespace nlohmann;
int main()
{
// create several JSON values
json array = {1, 2, 3};
json object = {{"A", "a"}, {"B", "b"}};
json number = 17;
json string = "foo";
json null;
// output values and comparisons
std::cout << std::boolalpha;
std::cout << array << " == nullptr " << (array == nullptr) << '\n';
std::cout << object << " == nullptr " << (object == nullptr) << '\n';
std::cout << number << " == nullptr " << (number == nullptr) << '\n';
std::cout << string << " == nullptr " << (string == nullptr) << '\n';
std::cout << null << " == nullptr " << (null == nullptr) << '\n';
}
nlohmann::basic_json
a class to store JSON values
Definition: json.hpp:191
nlohmann
namespace for Niels Lohmann
Definition: json.hpp:88

Output (play with this example online):

    [1,2,3] == nullptr false
    {"A":"a","B":"b"} == nullptr false
    17 == nullptr false
    "foo" == nullptr false
    null == nullptr true

The example code above can be translated with

    g++ -std=c++11 -Isrc doc/examples/operator__equal__nullptr_t.cpp -o operator__equal__nullptr_t

Since
  version 1.0.0

Definition at line 4907 of file json.hpp.